include /etc/ql.mak
# QDOS Makefile (for xtc68/ GNU Make)


CFLAG1 = -O -DCLINT -DHAVE_DIRENT_H -DSYS_UNIX -DHAVE_UTIME_H -DHAVE_STRDUP -I../
CFLAGS = $(CFLAG1) -DHAVE_STDLIB -DUSE_DIRENT -DANSI_ARROWS
OBJ = editline.o complete.o sysqdos.o

#   *Explicit Rules*

all: libedit.a

libedit.a: $(OBJ)
	slb -v -Lslb.tmp $(OBJ)	
	tsort slb.tmp >slb.list
	slb -crv -mslb.list $@
	rm -f slb.tmp slb.list

#  *File dependencies*

editline.o  : editline.c editline.h edlproto.h sysqdos.h

complete.o  : complete.c editline.h sysqdos.h

sysqdos.o    : sysqdos.c editline.h sysqdos.h

clean:
	del *.o 
	del libedit.a
	
clobber:
	del *.o 
	del *.bak
	del *.a

testit: testit.o
	$(LD) -otestit testit.o libedit.a -lvt

#
#------------------------------- end of makefile ---------------------------

